Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.contact
Interface Address

All Known Implementing Classes:
  AddressImpl

public interface Address
extends Belonging

The Address represents a standard postal location. It is intended to be used for the purposes of billing, shipping or marketing.

                      street
     [Address] <*>------> [String]

                      city
     [Address] <*>------> [String]

                      state
     [Address] <*>------> [String]

                      country
     [Address] <*>------> [String]

                      poBox
     [Address] <*>------> [String]

                      description
     [Address] <*>------> [String]

                      postalCode
     [Address] <*>------> [theory.smart.axiom.contact.PostalCode]

See Also:
  `AddressHome`, `AddressImpl`

Method Summary
`java.lang.String` | `getCity()` Get the value of city
`java.lang.String` | `getCountry()` Get the value of country
`java.lang.String` | `getDescription()` Get the value of description
`java.lang.String` | `getPoBox()` Get the value of poBox
`PostalCode` | `getPostalCode()` Get the value of postalCode
`java.lang.String` | `getState()` Get the value of state
`java.lang.String` | `getStreet()` Get the value of street
`void` | `setCity(java.lang.String city)` Set the value of city
`void` | `setCountry(java.lang.String country)` Set the value of country
`void` | `setDescription(java.lang.String description)` Set the value of description
`void` | `setPoBox(java.lang.String poBox)` Set the value of poBox
`void` | `setPostalCode(PostalCode postalCode)` Set the value of postalCode
`void` | `setState(java.lang.String state)` Set the value of state
`void` | `setStreet(java.lang.String street)` Set the value of street

Methods inherited from interface theory.smart.foundation.Belonging
`equals, value`

Methods inherited from interface com.sun.java.util.collections.Comparable
`compareTo`

Method Detail

### getStreet

    public java.lang.String getStreet()

  Get the value of street
  Returns:
    street.

### setStreet

    public void setStreet(java.lang.String street)

  Set the value of street
  Parameters:
    `streets` - street to be added

### getCity

    public java.lang.String getCity()

  Get the value of city
  Returns:
    city.

### setCity

    public void setCity(java.lang.String city)

  Set the value of city
  Parameters:
    `cities` - city to be added

### getState

    public java.lang.String getState()

  Get the value of state
  Returns:
    state.

### setState

    public void setState(java.lang.String state)

  Set the value of state
  Parameters:
    `states` - state to be added

### getCountry

    public java.lang.String getCountry()

  Get the value of country
  Returns:
    country.

### setCountry

    public void setCountry(java.lang.String country)

  Set the value of country
  Parameters:
    `countries` - country to be added

### getPoBox

    public java.lang.String getPoBox()

  Get the value of poBox
  Returns:
    poBox.

### setPoBox

    public void setPoBox(java.lang.String poBox)

  Set the value of poBox
  Parameters:
    `poBoxes` - poBox to be added

### getDescription

    public java.lang.String getDescription()

  Get the value of description
  Returns:
    description.

### setDescription

    public void setDescription(java.lang.String description)

  Set the value of description
  Parameters:
    `descriptions` - description to be added

### getPostalCode

    public PostalCode getPostalCode()

  Get the value of postalCode
  Returns:
    postalCode.

### setPostalCode

    public void setPostalCode(PostalCode postalCode)

  Set the value of postalCode
  Parameters:
    `postalCodes` - postalCode to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.